const { DataTypes } = require("sequelize");
const sequelize = require("../config/databaseConfig");
const TblTamanhos = sequelize.define("tbl_Tamanhos", {
    intId: {
        type: DataTypes.BIGINT,
        primaryKey: true,
        autoIncrement: true,
      },
    strTamanho: {
        type: DataTypes.STRING,
        allowNull: false,
    },
      bitEliminado: {
        type: DataTypes.BOOLEAN,
        allowNull: false,
      },
    
}, {
    paranoid: {
        deletedAt: 'bitEliminado',
        paranoid: true,
    },
    tableName: 'tbl_Tamanhos',
});

module.exports = TblTamanhos;